//
//  AppController.m
//  CMQCBackdrop
//
//  Created by Christopher Wright on 4/23/08.
//  Copyright 2008 Christopher Wright. All rights reserved.
//  Screen size code from Memo Atken: MSAQTPlayer.
//  Mashup by Mario Marquez Lartigue

#import "AppController.h"
#import <OpenGL/CGLMacro.h>

@implementation AppController
 
//Set screen size manualy (comment for auto size). Zero is the left lower corner. Most use same monitor setting to avoid distrtion...

int w =3200; //screen width 
int h  =1024; //screen height 


- (void) applicationWillFinishLaunching:(NSNotification*)notification
{
    
/* 
 //auto Size. The menu bar needs to be the first monitor ...
 
	for(id screen in [NSScreen screens]) {
		NSRect curRect = [screen frame];
		//w = curRect.size.width;
		screenRect.size.width += curRect.size.width;
		screenRect.size.height = curRect.size.height;
	}
	//screenRect.size.width = screenRect.size.width - w;
*/
    
	//hace que el screen sea del tamaño deseado
    
	screenRect.size.width = w;
	screenRect.size.height= h;
	
	//NSScreen *screen = [[NSScreen screens] lastObject];
	//NSRect winFrame = [screen frame];
    
	[visWindow setFrame: screenRect display: YES animate: NO];
	[visWindow setLevel: NSScreenSaverWindowLevel];
	
	[visView loadCompositionFromFile:
	 [[NSBundle mainBundle] pathForResource:@"screenRef" ofType:@"qtz"]];
	[visView startRendering];
	[visView setEventForwardingMask: NSAnyEventMask];//gets mouse and keyboard events.
	
	// hide the cursor
	//CGDisplayHideCursor (kCGDirectMainDisplay);
	
	
	
	
}

@end
