//
//  VisualizerWindow.m
//  CMQCBackdrop
//
//  Created by Christopher Wright on 4/23/08.
//  Copyright 2008 Christopher Wright. All rights reserved.
//

#import "VisualizerWindow.h"
#import <Cocoa/Cocoa.h>

@implementation VisualizerWindow



-(id)	initWithContentRect: (NSRect)contentRect
		styleMask: (unsigned int)mask
		backing: (NSBackingStoreType)backingType
		defer: (BOOL)defer
{
	if(self = [super	initWithContentRect: contentRect 
						styleMask: NSBorderlessWindowMask
						backing:NSBackingStoreBuffered   //NSBackingStoreBuffered , NSBackingStoreNonretained
						defer: NO])
	{
		[[NSNotificationCenter defaultCenter]
			addObserver: self 
			selector: @selector(windowDidResize:) 
			name: NSWindowDidResizeNotification 
			object: self];

	}
	return self;
}

-(void) windowDidResize:(NSNotification*)note
{
	[self display];
}

-(BOOL) canBecomeKeyWindow
{
	return YES;
	
}


@end
